cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Piroumian Konstantin <KPiroum...@protek.com>
Subject RE: Hello. I'd like to contribute to coccon
Date Thu, 12 Sep 2002 09:40:51 GMT
Hi!

I am using Ant 1.5 with JBuilder 7.0 successfully.
What have I done? AFAIR: I simply changed the Ant library (Tools->Configure
Libraries) to use the new jars and seems that it worked.

Below is my Ant.library file:

<?xml version="1.0" encoding="UTF-8"?>
<library>
  <!--JBuilder Library Definition File-->
  <fullname>Ant</fullname>
  <class>
    <path>[X%|/Demo2002/apps/shared/tools/lib/ant.jar]</path>
    <path>[X%|/Demo2002/apps/shared/tools/lib/optional.jar]</path>
    <path>[X%|/Demo2002/apps/shared/tools/lib/xercesImpl.jar]</path>
    <path>[X%|/Demo2002/apps/shared/tools/lib/xml-apis.jar]</path>
  </class>
</library>

Please tell me if this helps. 

> From: Ritesh Parmar [mailto:fudmore@mindspring.com] 
> From: "Nicola Ken Barozzi" <nicolaken@apache.org>
> 
> > fud more wrote:
> 
> Sorry for using my Alias. my name is Ritesh. ;^>
> 
> > > Hello Everybody.
> > >
> > > I downloaded cocoon a few months ago. I experimented with web page
> creation
> > > with cocoon, and found that cocoon does provide a clear separation
> between
> > > logic and view. I am interested in learning about the internals of
> cocoon as
> > > well as contributing to your efforts in developing 
> Cocoon. I have Java
> > > experience but I have never worked with ANT. I downloaded 
> the ANT manual
> and
> > > I am trying to figure out how to make Jbuilder 7 recognize the
> xmlproperty
> > > task in build.xml.   I've added the ant-1.5-optional.jar 
> as part of the
> ANT
> > > build and it still doesn't recognize the task. I have 
> even replaced all
> the
> > > ANT Jar files in jbuilder with the ones I downloaded from 
> the cocoon
> > > repository. If anybody has any suggestions then please 
> let me know.
> Thank
> > > you.
> >
> > XmlProperty is part of Ant 1.5, not in optional.
> > Does JBuilder have Ant 1.5 or 1.4.1?
> >
> > --
> 
> hmm, interesting.
> well according to the version file in ant.jar
> (org\apache\tools\ant\version.txt) it is version 1.4.1.
> But they also have ant-1.5.jar and its' version is 1.5.
> 
> I believe that borland provides both version but uses the old 
> one since the
> ANT manual accompanying jbuilder 7 makes no mention of xmlproperty.
> 
> I've replaced ANT.jar with ANT-1.5.jar but still it complains. >^{
> 
> 
> 
> 
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: cocoon-dev-unsubscribe@xml.apache.org
> For additional commands, email: cocoon-dev-help@xml.apache.org
> 

---------------------------------------------------------------------
To unsubscribe, e-mail: cocoon-dev-unsubscribe@xml.apache.org
For additional commands, email: cocoon-dev-help@xml.apache.org


Mime
View raw message